.centrado-margin {
  display: block;
  margin: 0 auto;
}
.centrado {
  text-align: center;
}
.centrado-flex {
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center;
}
#dropdown-components-add li img {
  width: 100px;
}
.container-table-size-piece {
  width: 100%;
}
.error {
  border: solid 2px #fb6340;
}
.container-add-base-price .flexible {
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
          justify-content: center;
  -webkit-box-align: center;
          align-items: center;
  text-align: center;
}
.container-add-base-price .flexible label {
  text-alig: center;
  margin-bottom: 0;
}
.container-add-base-price .flexible .form-group {
  width: 100px;
}
.container-add-base-price .btn-save-size {
  margin-bottom: 0;
  padding: 0;
  width: 80px;
  height: 40px;
  display: -webkit-box;
  display: flex;
}
#container-sizes-piece {
  display: -webkit-box;
  display: flex;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  display: grid;
  width: 100%;
}
#container-sizes-piece .container-acabado-for-piece {
  background: #fdfdfd;
  padding: 10px;
  margin: 10px;
  border: solid 1px #eee;
  border-radius: 10px;
}
#container-sizes-piece .container-acabado-for-piece h2 {
  text-align: center;
  border-bottom: solid 2px #54ad34;
  padding: 10px 0;
}
#container-componentes-add,
#container-componentes-list {
  display: -webkit-box;
  display: flex;
  flex-wrap: wrap;
  -webkit-box-pack: center;
          justify-content: center;
}
#container-componentes-add .container-general,
#container-componentes-list .container-general {
  position: relative;
  margin-top: 20px;
  border: solid 3px #54ad34;
  margin: 5px;
  width: 100%;
}
#container-componentes-add .container-general .header-component,
#container-componentes-list .container-general .header-component {
  color: #fdfdfd;
  background-color: #54ad34;
  text-transform: capitalize;
  margin: 0;
  padding: 8px;
}
#container-componentes-add .container-general #remove-component,
#container-componentes-list .container-general #remove-component {
  position: absolute;
  top: 0;
  right: 0;
}
#container-componentes-add .container-general .icon-delete,
#container-componentes-list .container-general .icon-delete {
  display: block;
  margin: 0 auto;
  width: 80px;
}
#container-componentes-add .container-general .componente,
#container-componentes-list .container-general .componente {
  border: none;
  border-right: solid 3px #eee;
}
.container-secundario {
  display: -webkit-box;
  display: flex;
}
#mensajes {
  height: 300px;
  overflow-y: auto;
  background: #fdfdfd;
  padding: 10px 5px;
}
.chat-li {
  display: -webkit-box;
  display: flex;
  background: none;
  border: none;
}
.chat-li.me {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
          flex-direction: row-reverse;
}
.chat-li figure.avatar-chat {
  margin: 0;
  padding: 0;
}
.chat-li figure.avatar-chat img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}
.chat-li .message-chat {
  padding: 10px;
  border-radius: 20px;
}
.chat-li .message-chat span {
  font-size: 10px;
  color: #808080;
}
.chat-li .message-chat.me {
  background: rgba(140,201,69,0.451);
}
.chat-li .message-chat.you {
  background: #fff;
}
body {
  background: #eee;
  font-family: 'Roboto', sans-serif !important;
}
iframe {
  width: 100%;
  height: 900px;
}
.oculto {
  display: none;
}
.fondo-verde {
  background-color: #79b708;
}
.m-top-50 {
  margin-top: 50px;
}
.sombra {
  box-shadow: 0px 2px 25px #848282;
}
.columna {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
          flex-direction: column;
}
.checkout-wrap {
  top: -100px;
}
#container-chat {
  height: 100%;
}
.btn.verde.disabled {
  border: solid 2px #6b9328;
  color: #6b9328;
  background: none;
  opacity: 1;
}
.container_ps .header-titular {
  padding: 10px;
  display: grid;
  grid-template-columns: 5fr 1fr;
}
.container_ps .header-titular h3 {
  margin-bottom: 0;
}
.container_ps .header-titular a.btn {
  padding: 5px 20px;
}
.container-list,
#sub-partidas,
#container-images {
  min-height: 90px;
}
#container-images {
  display: -webkit-box !important;
  display: flex !important;
  -webkit-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
          justify-content: center;
  flex-wrap: wrap !important;
}
hr {
  margin-top: 10px;
  margin-bottom: 10px;
  width: 80%;
}
.container-list .icon-delete,
#sub-partidas .icon-delete {
  height: 37px;
  padding: 0;
  margin: 0;
  margin-left: -6px;
}
#container-fase3.lock {
  width: 100%;
  height: 500px;
  text-align: center;
}
#confirmacion-validacion-proyecto {
  text-align: center;
  margin-top: 100px;
  padding: 10px;
}
#confirmacion-validacion-proyecto button {
  margin: 20px 0px;
}
#confirmacion-validacion-proyecto .alert p {
  margin: 0;
  padding: 0;
}
.container-list.fase2 .btn.verde,
#sub-partidas.fase2 .btn.verde {
  border-radius: 5px;
}
.container-list.fase2 i,
#sub-partidas.fase2 i {
  display: none;
}
.container-list span,
#sub-partidas span {
  display: inline-block;
  margin: 5px;
}
.container-list .btn.verde,
#sub-partidas .btn.verde {
  padding: 6px 10px;
  border-radius: 5px 0px 0px 5px;
  margin-right: 0px;
}
.container-list i,
#sub-partidas i {
  background: #fb6340;
  height: 35px;
  margin: 0;
  vertical-align: middle;
  margin-left: -4px;
  font-size: 20px;
  color: #501212;
  border-radius: 0px 5px 5px 0px;
  line-height: 33px;
}
#container-images {
  display: block;
}
#container-images figure {
  position: relative;
}
#container-images figure img {
  cursor: pointer;
}
#container-images figure i {
  position: absolute;
  right: 10px;
  background: #fb6340;
  top: 0;
  right: 0;
  padding: 5px;
}
#container-images .miniatura {
  width: 150px;
  height: 90px;
  overflow: hidden;
  display: inline-block;
  float: left;
  padding: 5px;
}
#container-images .miniatura img {
  width: 100%;
}
#container-image-big figure {
  position: relative;
}
#container-image-big figure a {
  position: absolute;
  top: 0;
  right: 0;
}
#container-image-big img {
  width: 100%;
}
#container-image-big i {
  display: none;
}
.container_cards {
  display: -webkit-box;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.principal {
  margin-top: 50px !important;
}
.title_normal {
  font-size: 20px;
}
.title_normal.full {
  width: 100%;
  display: block;
  padding: 20px 5px;
}
.title_verde_small {
  font-size: 18px;
  color: #6b9328;
  line-height: 34px;
}
.title-verde-fondo {
  background: #6b9328;
  color: #fff;
  padding: 5px;
  padding-left: 20px;
  font-size: 16px;
  margin-bottom: 0;
}
#card h2.title_normal.full {
  text-align: center;
  font-size: 30px;
}
.message-sencillo {
  text-align: center;
  padding: 10px 0px;
  color: #808080;
}
.message-sencillo p {
  margin: 0;
  padding: 0;
}
/*Logeo*/
#data-cliente.card-footer {
  background: #f9a826;
  color: #fff;
  display: -webkit-box;
  display: flex;
  grid-auto-flow: column;
  text-align: center;
}
.card-header {
  background: none;
  text-align: center;
  border-bottom: none;
}
.card-header h3 {
  text-align: left;
}
.card-header figure {
  margin: 0;
}
.card-body {
  padding-top: 5px;
  padding-bottom: 60px;
  width: 100%;
  margin: 0 auto;
}
.titular-card {
  font-size: 17px;
  text-align: center;
  color: #808080;
  padding: 20px 7px;
  margin: 0;
  font-weight: bold;
}
.terminos {
  display: block;
  text-align: right;
  padding: 20px 10px;
}
#container-boton button {
  display: block;
  margin: 0 auto;
}
#container-preview-checklist figure img {
  width: 100%;
}
#container-preview-cotizacion figure {
  position: relative;
}
#container-preview-cotizacion figure img {
  display: block;
  margin: 0 auto;
  width: 150px;
}
#container-preview-cotizacion figure i {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  font-size: 117px;
  opacity: 0.5;
  color: #000;
  padding-left: 30px;
}
#izquierdo-selectores .selectores {
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
          flex-direction: row;
}
#izquierdo-selectores .selectores .form-group {
  padding: 10px;
}
#derecho-list-add .table-responsive {
  margin-top: 0;
}
/*botones*/
#container-add-desc {
  text-align: center;
  margin: 0 auto;
  margin-top: 50px;
}
#flash-message-ajax {
  position: fixed;
  z-index: 99999;
  top: 0;
  right: 0;
}
#flash-messages {
  width: 100%;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 9999999;
}
#flash-messages .alert {
  border-radius: 0 !important;
  margin-bottom: 0;
}
#imagen-cargada {
  width: 100%;
  height: 500px;
  border: solid 1px #808080;
  position: relative;
}
#imagen-cargada iframe {
  height: 100%;
  overflow: hidden;
}
#imagen-cargada figure {
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
          justify-content: center;
}
#imagen-cargada align-items center {
  overflow: hidden;
}
#imagen-cargada align-items center #img-checklist {
  width: 100%;
}
#imagen-cargada input[type="file"] {
  background: #fff;
  padding: 10px;
}
#imagen-cargada #subir-checklist {
  position: absolute;
  top: 30px;
  right: 30px;
}
#cotizacion-asistida-boton {
  display: block;
  margin: 0 auto;
  margin-top: 10px;
  margin-bottom: 10px;
}
#container-subpartidas {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  -webkit-column-gap: 10px;
  -moz-column-gap: 10px;
       column-gap: 10px;
  row-gap: 10px;
}
#container-subpartidas .form-group {
  width: 100%;
}
#container-subpartidas .group_sub {
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
          flex-direction: column;
  -webkit-box-pack: center;
          justify-content: center;
  -webkit-box-align: center;
          align-items: center;
  padding: 10px;
  margin: 10px;
  box-shadow: 0px 1px 10px #eee;
  background: #fdfdfd;
}
#container-subpartidas .group_sub i {
  align-self: flex-end;
}
#container-subpartidas .group_sub .box {
  margin: 0 auto;
  text-align: center;
  width: 100%;
}
#botones-fases span {
  position: absolute;
  bottom: 0;
  left: -6px;
  background: #fdfdfd;
  width: 20px;
  height: 20px;
  color: #6b9328;
  border-radius: 50%;
}
#botones-fases .active {
  background: #93c840;
}
#botones-fases .demo-icon {
  font-size: 20px;
}
#botones-fases button {
  position: relative;
  padding: 10px;
  margin: 0;
  margin-left: 20px;
  border: none;
}
#botones-fases button .demo-icon {
  color: #0d1501;
}
#botones-fases button:hover {
  background: #93c840;
}
#botones-fases button.active {
  padding: 10px 30px;
}
#botones-fases button.active .demo-icon {
  color: #fff;
}
.btn-primary {
  background: #f9a826;
}
#submit {
  width: 200px;
  margin: 0 auto;
}
.small-input {
  height: 35px;
  width: 100px;
  max-width: 80%;
  margin: 0 auto;
  padding: 10px;
}
.small-input.full {
  width: 100%;
}
.componente:last-child {
  border-right: solid 3px #54ad34;
}
.componente {
  width: 300px;
  padding: 10px;
  border-left: solid 3px #54ad34;
}
.componente figure {
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center;
}
.componente figure img {
  height: 150px;
  margin: 0 auto;
}
.container-colores-recuadros {
  width: 400px;
  display: -webkit-box;
  display: flex;
  flex-wrap: wrap;
  -webkit-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
          justify-content: center;
}
#container-add-color-multiples {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-gap: 30px;
}
#container-add-color-multiples .sombra {
  padding: 20px;
}
.color-recuadro {
  border-radius: 8px;
  width: 170px;
  height: 70px;
  margin: 4px;
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
          justify-content: center;
  -webkit-box-align: center;
          align-items: center;
}
.color-recuadro span {
  color: #fff;
}
.image-component {
  display: block;
  margin: 0 auto;
  width: 100px;
}
#modal-image-big {
  z-index: 9999999999;
}
#modal-image-big #dd {
  position: absolute;
  top: 50px;
  right: 50px;
}
#izquierdo-generales-inputs,
#izquierdo-otros-inputs {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
  grid-gap: 5px;
  -webkit-box-pack: center;
          justify-content: center;
  -webkit-box-align: center;
          align-items: center;
}
#izquierdo-generales-inputs .form-group button,
#izquierdo-otros-inputs .form-group button {
  margin: 0 auto;
  display: block;
  margin-top: 10px;
}
#derecho-list-generales-add .table-responsive {
  margin-top: 0;
}
#container-selectores-componentes,
#container-cargos-generales {
  display: grid;
  margin: 30px 0px;
  grid-template-columns: 5fr 3fr;
  grid-gap: 20px;
}
.container-select-cantidad .form-control {
  display: inline-block;
  float: left;
}
.container-recuadro-verde {
  margin-top: 50px;
}
.container-componentes {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
}
.container-select {
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
          justify-content: center;
  -webkit-box-align: center;
          align-items: center;
  margin-top: 20px;
}
.container-select p {
  display: inline-block;
  width: 40%;
  margin: 0;
}
.container-select select {
  width: 60%;
  display: inline-block;
  height: 33px;
  padding: 0;
  padding-left: 0px;
}
.required {
  color: #fb6340;
  padding: 5px;
}
.invalid-feedback {
  display: block;
}
.btn.verde {
  color: #fff;
  background: #6b9328;
}
#container-chart {
  height: 500px;
}
.default show {
  background: #5e72e4;
}
.increment {
  width: 100%;
  text-align: center;
}
.increment .box {
  width: 100%;
  display: block;
  margin: 0 auto;
}
#container-aviso-not-model-found {
  top: 0;
  bottom: 0;
  background: rgba(148,120,120,0.278);
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
          flex-direction: column;
  -webkit-box-pack: center;
          justify-content: center;
  position: absolute;
}
#container-aviso-not-model-found .alert {
  width: 80%;
  margin: 0 auto;
}
.btn-register {
  display: block;
  width: 200px;
}
#table-cargos {
  margin-top: 50px;
}
.bloque-centrado {
  display: block;
  margin: 0 auto;
}
.table-green.table {
  text-align: center;
}
.table-green.table tr td {
  padding: 5px !important;
}
.table-green.table tr:nth-child(even) {
  background: rgba(107,147,40,0.141);
}
table tr:nth-child(even) {
  background: rgba(210,230,176,0.141);
}
.table-green.table .thead-light th {
  background-color: #6b9328;
  color: #fff;
}
.table-size {
  display: inline-block;
  float: left;
}
.btn-primary {
  background: #55a538;
}
.add-component-button {
  display: block;
  margin: 0 auto;
  padding: 5px 20px;
}
#container_search_general {
  margin-top: 50px;
  -webkit-box-align: center;
          align-items: center;
  margin-bottom: 0px;
}
#formulario-avatar {
  margin-top: 100px;
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
          flex-direction: column;
}
#search_general,
#user_logeo {
  padding: 0;
  width: 246px;
  padding-left: 10px;
  background: #fff;
  border-radius: 0 5px 5px 0;
}
#search_general #search_input_general,
#user_logeo #search_input_general {
  border-radius: 0;
}
#search_general .nav-item,
#user_logeo .nav-item {
  background: #fff !important;
}
.card-header.bg-white {
  background-color: #6b9328 !important;
}
.bg-default {
  background-color: #79b708 !important;
  padding: 0px;
  position: fixed;
  z-index: 9999999;
  width: 100%;
}
#user-login {
  background: none !important;
  margin-top: 6px !important;
}
#user-login .nav-link.pr-0 {
  margin: 0;
  padding: 0;
}
#navbar-default {
  background: #79b708;
}
#navbar-default .nav-item {
  padding: 0;
  margin-top: 0;
}
.navbar.verde .container-fluid,
padding 0 .container-fluid {
  padding: 24px;
  background: #1c1d1c;
}
.navbar.verde a.nav-link,
padding 0 a.nav-link {
  color: #fff;
  font-weight: bold;
  text-shadow: 0 0 3px #000;
}
.navbar.verde a.nav-link i,
padding 0 a.nav-link i {
  color: #486717 !important;
  text-shadow: none;
}
.navbar.verde a.nav-link:hover,
padding 0 a.nav-link:hover {
  color: #fff;
  background: #a0ff37;
}
#nav .nav-item {
  background: #6b9328;
}
#nav .nav-item a.nav-link {
  color: #fff !important;
}
#nav .nav-item a.nav-link i {
  color: #fff !important;
}
.nav-item.active {
  background: #54ad34;
}
.nav-item.active a.nav-link {
  color: #fff !important;
}
.nav-item.active a.nav-link i {
  color: #fff !important;
}
.header.fondo {
  background: none;
  padding-top: 180px !important;
}
.footer-ino {
  margin-top: 60px;
  padding: 20px;
  background: #79b708;
}
.footer-ino .img-footer {
  height: 50px;
}
.footer-ino a {
  color: #fff;
}
.card {
  border: 0;
}
.card-header.border-0 {
  background-color: #6b9328;
}
.alertify-logs {
  z-index: 9;
}
.card-header h3 {
  color: #fff;
}
.card-header_proyect {
  background-color: #6b9328 !important;
}
.card-header_proyect h3 {
  color: #fff;
}
.card-header:first-child {
  padding: 10px 20px;
}
.notice {
  border-radius: 5px;
  text-align: center;
  padding: 20px 10px;
  display: inline-block;
  color: #1c1d1c;
  font-size: 14px;
}
.notice_gray {
  background: #dadada;
}
